List 41 endpoints

GET /automations
operationId: List_allAutomations

Responses

200

200

400

400

GET /automations
GET /brandings

List all existing branding resources

operationId: List_brandings

Parameters

Name In Required Type Description
api_key query optional string

ActiveCampaign API key

Responses

200

200

400

400

GET /brandings
GET /calendars
operationId: List_calendarFeeds

Responses

200

200

GET /calendars
GET /campaigns
operationId: List_allCampaigns

Parameters

Name In Required Type Description
orders[sdate] query optional string

Order campaigns by send date

orders[ldate] query optional string

Order campaigns by last send date

filters[seriesid] query optional integer

Filter to return the campaigns from the targeted automationId/seriesIds

Responses

200

200

400

400

GET /campaigns
GET /connections

List all existing connection resources.

operationId: List_allConnections

Parameters

Name In Required Type Description
filters[service] query optional string

Filter by the external service name.

filters[externalid] query optional string

Filter by the external id associated with a connection.

Responses

200

200

400

400

GET /connections
GET /contactAutomations
operationId: List_contactAutomations

Responses

200

200

GET /contactAutomations
POST /contactLists

Subscribe a contact to a list or unsubscribe a contact from a list.

operationId: List_updateListStatusForContact

Request Body

application/json
schema ListUpdateListStatusForContactRequest

Responses

200

200

400

400

POST /contactLists
GET /contacts

Use this API endpoint to list all contacts, search contacts, or filter contacts by many criteria. For example, search for specific contacts by email, list, account.

operationId: List_contacts

Parameters

Name In Required Type Description
ids query optional string

Filter contacts by ID. Can be repeated for multiple IDs. Example: ids[]=1&ids[]=2&ids[]=42

email query optional string

Email address of the contact you want to get

email_like query optional string

Filter contacts that contain the given value in the email address

exclude query optional integer

Exclude from the response the contact with the given ID

formid query optional integer

Filter contacts associated with the given form

id_greater query optional integer

Only include contacts with an ID greater than the given ID

id_less query optional integer

Only include contacts with an ID less than the given ID

listid query optional string

Filter contacts associated with the given list

organization query optional integer

(Deprecated) Please use Account-Contact end points. Filter contacts associated with the given organization ID

search query optional string

Filter contacts that match the given value in the contact names, organization, phone or email

segmentid query optional integer

Return only contacts that match a list segment (the first call kicks off an asynchronous query. When the query is complete, subsequent API calls will return contacts that match the segment - timeout 1hr)

seriesid query optional integer

Filter contacts associated with the given automation

status query optional integer

See available values

tagid query optional integer

Filter contacts associated with the given tag

filters[created_before] query optional string

Filter contacts that were created prior to this date

filters[created_after] query optional string

Filter contacts that were created after this date

filters[updated_before] query optional string

Filter contacts that were updated before this date

filters[updated_after] query optional string

Filter contacts that were updated after this date

waitid query optional integer

Filter by contacts in the wait queue of an automation block

orders[id] query optional string

Order contacts by unique ID

orders[cdate] query optional string

Order contacts by creation date

orders[email] query optional string

Order contacts by email

orders[first_name] query optional string

Order contacts by first name

orders[last_name] query optional string

Order contacts by last name

orders[name] query optional string

Order contacts by full name

orders[score] query optional string

Order contacts by score

in_group_lists query optional string

Set this to ”true” in order to return only contacts that the current user has permissions to see.

Responses

200

200

400

400

GET /contacts
GET /contacts/{id}/contactAutomations
operationId: List_contactAutomations

Parameters

Name In Required Type Description
id path required integer

ID of the contact to receive automations for

Responses

200

200

404

404

GET /contacts/{id}/contactAutomations
GET /contacts/{id}/contactLists
operationId: List_getContactListMemberships

Parameters

Name In Required Type Description
id path required integer

ID of the contact

Responses

200

200

404

404

GET /contacts/{id}/contactLists
GET /contacts/{id}/geoIps
operationId: List_contactGeoIps

Parameters

Name In Required Type Description
id path required integer

ID of the contact

Responses

200

200

404

404

GET /contacts/{id}/geoIps
GET /customObjects/records/{schemaId}
operationId: List_bySchemaRecords

Parameters

Name In Required Type Description
schemaId path required string

ID of schema

limit query optional integer

The number of records to return for each call. Maximum value is 100.

offset query optional integer

Offset index of records to return

filters query optional array

Use ?filters[relationships.{your-contact-relationship}][eq]={contactId} to filter records to a specific contact.

Responses

200

200

400

400

404

404

GET /customObjects/records/{schemaId}
GET /customObjects/schemas

Retrieve all schemas available within an account.

Users are encouraged to leverage the ?showFields=all query parameter when programmatically creating new schema fields, to ensure field id uniqueness. Fields that have been deleted will contain a status: marked_for_deletion attribute.

operationId: List_allSchemas

Parameters

Name In Required Type Description
limit query optional integer

The number of schemas to retrieve for each API call. Maximum value is 100.

offset query optional integer

Offset index of items to return

orders query optional array

Array of sorting criteria to fetch items

filters query optional string

Filters schemas by different criteria

showFields query optional string

Toggle which fields are shown in the response body of a schema (if there hidden due to e.g. recently being deleted). Omit this parameter entirely to hide fields by default.

Responses

200

200

400

400

GET /customObjects/schemas
GET /ecomCustomers

List all e-commerce customer resources.

operationId: List_allCustomers

Parameters

Name In Required Type Description
filters[email] query optional string

Filter by the email address of a customer.

filters[externalid] query optional string

Filter by the id of the customer in the external service.

filters[connectionid] query optional string

Filter by the id of the connection object for the service where the customer originates.

Responses

200

200

GET /ecomCustomers
GET /ecomOrderProducts
operationId: List_ecomOrderProducts

Responses

200

200

400

400

GET /ecomOrderProducts
GET /ecomOrders

List all existing e-commerce order resources.

operationId: List_allOrders

Parameters

Name In Required Type Description
filters[connectionid] query optional integer

Filter by the connection id. Must be greater than 0.

filters[externalid] query optional integer

Filter by the external id of the order.

filters[externalcheckoutid] query optional string

Filter by the external checkout id

filters[email] query optional string

Filter by the customer email address.

filters[state] query optional integer

Filter by the state of the order. 0 = Pending, 1 = Completed, 2 = Abandoned, 3 = Recovered, 4 = Waiting (Customer checked out but payment is not yet completed)

filters[customerid] query optional string

Filter by the customer id

filters[external_created_date] query optional string

Filter by the external created date

orders[connectionid] query optional integer

Order by connection ID. Accepted values are ASC or DESC.

orders[externalid] query optional integer

Order by external ID. Accepted values are ASC or DESC.

orders[externalcheckoutid] query optional string

Order by external checkout ID. Accepted values are ASC or DESC.

orders[email] query optional string

Order by email. Accepted values are ASC or DESC.

orders[state] query optional integer

Order by state. Accepted values are ASC or DESC.

orders[customerid] query optional string

Order by customer ID. Accepted values are ASC or DESC.

orders[external_created_date] query optional string

Order by external created date. Accepted values are ASC or DESC.

Responses

200

200

422

422

GET /ecomOrders
GET /ecomOrders/{id}/orderProducts
operationId: List_orderProductsForSpecificOrder

Parameters

Name In Required Type Description
id path required string

The ID of the order whose products you’d like returned.

Responses

200

200

400

400

GET /ecomOrders/{id}/orderProducts
GET /emailActivities
operationId: List_emailActivities

Parameters

Name In Required Type Description
filters[subscriberid] query optional integer

Set this parameter to return only email activities belonging to a given subscriber.

filters[dealId] query optional integer

Set this parameter to return only email activities belonging to a given deal.

Responses

200

200

400

400

GET /emailActivities
GET /eventTrackingEvents

List the names of tracked events

operationId: List_eventNames

Responses

200

200

400

400

GET /eventTrackingEvents
POST /fieldRels
operationId: List_createFieldRelationshipToLists

Request Body

application/json
schema ListCreateFieldRelationshipToListsRequest

Responses

201

201

403

403

POST /fieldRels
DELETE /fieldRels/{fieldRelId}
operationId: List_deleteFieldRelationToList

Parameters

Name In Required Type Description
fieldRelId path required integer

Field relationship ID to be deleted

Responses

200

200

403

403

DELETE /fieldRels/{fieldRelId}
GET /fieldValues
operationId: List_customFieldValues

Parameters

Name In Required Type Description
filters[fieldid] query optional string

ID of the field the value belongs to.

filters[val] query optional string

Value of the custom field for a specific contact

Responses

200

200

400

400

GET /fieldValues
GET /groupLimits
operationId: List_groupLimits

Responses

200

200

GET /groupLimits
GET /groups
operationId: List_allGroups

Responses

200

200

GET /groups
GET /import/bulk_import
operationId: List_bulkImportStatus

Responses

200

200

GET /import/bulk_import
POST /listGroups
operationId: List_groupPermissionCreate

Request Body

application/json
schema ListGroupPermissionCreateRequest

Responses

201

201

403

403

POST /listGroups
GET /lists
operationId: List_getAll

Parameters

Name In Required Type Description
filters[name] query optional string

Filter by the name of the list

limit query optional integer

Limit the number of returned results

filters[name][<operator>] query optional string

Filters lists by list name according to the operator specified. (See supported operators below)

orders[name] query optional string

Orders filtered results by weight, ascending order, or descending order. If weight is used, exact matches are returned first, followed by matches starting with what was filtered by, followed by the rest of the results.

Responses

200

200

403

403

GET /lists
POST /lists
operationId: List_createNewList

Request Body

application/json
schema ListCreateNewListRequest

Responses

200

200

400

400

403

403

POST /lists
DELETE /lists/{id}
operationId: List_deleteById

Parameters

Name In Required Type Description
id path required integer

ID of the list to delete

Responses

200

200

403

403

DELETE /lists/{id}
GET /lists/{id}
operationId: List_getById

Parameters

Name In Required Type Description
id path required string

ID of the lists to retrieve

Responses

200

200

403

403

404

404

GET /lists/{id}
GET /messages
operationId: List_messages

Responses

200

200

400

400

GET /messages
GET /savedResponses
operationId: List_savedResponses

Responses

200

200

GET /savedResponses
GET /scores
operationId: List_allScores

Responses

200

200

GET /scores
GET /segments
operationId: List_allSegments

Responses

200

200

400

400

GET /segments
GET /siteTrackingDomains

List of all whitelisted site tracking domains

operationId: List_whitelistedDomains

Responses

200

200

GET /siteTrackingDomains
POST /siteTrackingDomains

Add a domain to the site tracking whitelist

operationId: List_whitelistedDomainCreate

Request Body

application/json
schema ListWhitelistedDomainCreateRequest

Responses

200

200

400

400

POST /siteTrackingDomains
DELETE /siteTrackingDomains/{name}

Remove a domain from the site tracking whitelist

operationId: List_removeDomain

Parameters

Name In Required Type Description
name path required string

The domain name to remove from the whitelist

Responses

204

204

DELETE /siteTrackingDomains/{name}
GET /taskOutcomes

Retrieve all existing task outcomes

operationId: List_taskOutcomes

Parameters

Name In Required Type Description
filters[sentiment] query optional string

1 is for Negative, 2 is for Neutral and 3 is for Positive

Responses

200

200

400

400

GET /taskOutcomes
GET /tasktypeOutcomeRels

Retrieve all existing task type - outcome relations

operationId: List_taskTypeOutcomeRelations

Responses

200

200

400

400

GET /tasktypeOutcomeRels
GET /webhook/events

List all available webhook events

operationId: List_webhookEvents

Responses

200

200

GET /webhook/events
GET /webhooks

List all existing webhooks

operationId: List_webhooks

Parameters

Name In Required Type Description
filters[name] query optional string

Filter by webhook name

filters[url] query optional string

Filter by webhook url

filters[listid] query optional string

Filter by webhook’s associated list

Responses

200

200

400

400

GET /webhooks

Message 4 endpoints

POST /messages
operationId: Message_createNewMessage

Request Body

application/json
schema MessageCreateNewMessageRequest
Property Type Required
message object optional
email string required
reply2 string required
subject string optional
fromname string required
preheader_text string optional

Responses

201

201

400

400

POST /messages
DELETE /messages/{id}
operationId: Message_removeById

Parameters

Name In Required Type Description
id path required string

ID of the message to delete

Responses

200

200

400

400

DELETE /messages/{id}
GET /messages/{id}
operationId: Message_getById

Parameters

Name In Required Type Description
id path required string

ID of the message to retrieve

Responses

200

200

404

404

GET /messages/{id}
PUT /messages/{id}
operationId: Message_updateById

Parameters

Name In Required Type Description
id path required string

ID of the message to update

message.fromname header optional string

Name of sender

message.email header optional string

Email of sender

message.reply2 header optional string

Reply email for the recipient to reply to

message.subject header optional string

Subject of message

message.preheader_text header optional string

Preheader Text

Request Body

application/json
schema MessageUpdateByIdRequest

Responses

200

200

404

404

PUT /messages/{id}

Note 5 endpoints

POST /accounts/{id}/notes

Create a new note for an account

operationId: Note_createAccountNote

Parameters

Name In Required Type Description
id path required string

Account’s id to assign new note to

Request Body

application/json
schema NoteCreateAccountNoteRequest
Property Type Required
note object optional
note string required

Responses

201

201

POST /accounts/{id}/notes
PUT /accounts/{id}/notes/{noteid}

Update an existing note for a account

operationId: Note_updateNote

Parameters

Name In Required Type Description
id path required string

Account’s id to assign new note to

noteid path required string

Account note’s id to update

Request Body

application/json
schema NoteUpdateNoteRequest
Property Type Required
note object optional
note string required

Responses

200

200

PUT /accounts/{id}/notes/{noteid}
GET /contacts/{id}/notes
operationId: Note_getContactsNotes

Parameters

Name In Required Type Description
id path required integer

ID of the contact

Responses

200

200

404

404

GET /contacts/{id}/notes
GET /notes
operationId: Note_listAll

Responses

200

200

GET /notes
POST /notes
operationId: Note_createNew

Request Body

application/json
schema NoteCreateNewRequest

Responses

201

201

400

400

POST /notes
Load more endpoints